$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.158.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.158.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '47757B4FC9B3BF49B560FCCA83EEFF7C548521FEEEBCDE19F24AD8BCB1655746'
  checksumType = 'sha256'
  checksum64 = '47757B4FC9B3BF49B560FCCA83EEFF7C548521FEEEBCDE19F24AD8BCB1655746'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.158-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
